local PLUGIN = PLUGIN
PLUGIN.name = "Radio"
PLUGIN.author = "RefoselTeamWork"
PLUGIN.description = "Provides configurable radio communication."
PLUGIN.defaultFrequency = 100.0
PLUGIN.minFrequency = 30.0
PLUGIN.maxFrequency = 900.0
PLUGIN.frequencyPrecision = 3
PLUGIN.frequencyTolerance = 0.001

ix.util.Include("sv_plugin.lua")
ix.util.Include("cl_plugin.lua")

function PLUGIN:GetFrequency(client)
	return client:GetNetVar("radioFrequency", self.defaultFrequency)
end

function PLUGIN:IsListening(client)
	return client:GetNetVar("radioListen", true)
end

function PLUGIN:IsTransmitting(client)
	return client:GetNetVar("radioTransmit", true)
end
